//初始化单页view
var viewApi = mui('#app').view({
		defaultPage: '#setting'
	});
var isName= document.getElementById('isName');
var isPhone = document.getElementById('isPhoneNo');
var addres = document.getElementById('addres');
var addressid=document.getElementById("addressid");
var token;
var province; //省
var city; //市
var area; //区

function setAddress(){ 
	token = localStorage.getItem("token");
	
	mui.ajax(urlConfig.address, {
		type: "get", //设置ajax方法提交数据的形式
		dataType:'json',
		data: {
			token:token
		},
		success: function(msg) {
			console.log("(收货地址)"+JSON.stringify(msg));
			var list = msg.list;
			var dztja = document.getElementById('dztja');
			mui.each(list, function(inedx, item) {
				dztja.innerHTML += '<li class="mui-table-view-cell mui-media" value="'+item.isdefault+'" style="position: relative;"><a href="' + item.id + '" name="'+item.id +'"><div class="mui-media-body" name="' + item.id + '"><p class="user_info">\<span class="userName">'+ item.realname+'</span><span class="userPhone">'+ item.mobile+'</span></p><p class="address_info">地  址：' + item.province+item.city+ item.area+ item.address + '</p></div></a><div class="address_bottom"><span class="defult_radio"><i class="radio_icon"></i>默认地址</span><a href="#account-addAddext" class="ext" id="' + item.id + '"><i class="edit_icon" style="color:#fff"></i>编辑</a><a href="#" class="remove" value="' + item.id + '"><i class="delete_icon"></i>删除</a></div></li>';
				addressid.value=item.id;
			});
			var cl = dztja.querySelectorAll('.mui-table-view-cell');
			for(var i = 0; i < cl.length; i++) {
				if(cl[i].value=='1'){
					cl[i].className='mui-selected mui-table-view-cell mui-media';
				}
			}
			var info_sub = document.getElementById("info_sub");
			var dzgl = document.getElementById('dzgl');
			mui('.mui-table-view').on('tap', '#add', function() {
				dzgl.innerHTML = '新建地址';
				isName.value = '';
				isPhone.value = '';
				addres.value = '';
				s_province.value = '';
				info_sub.innerHTML = '<button id="btndanger" type="button" class="mui-btn mui-btn-danger mui-btn-block sss" style="height: 50px;line-height: 10px;">确认</button>\
					<button type="button" class="mui-btn mui-btn-block mui-action-back mui-btn-outlined" style="height: 50px;line-height: 10px">取消</button>';							
				//级联
				mui('#info_sub').on('tap', '.sss', function() {
					addressid.value='';
					if(isName.value=='') {
						mui.toast('请正确填写收货人姓名！');
						return;
					}
					if(isPhone.value=='') {
						mui.toast('请正确填写手机号码！');
						return;
					}
					if(s_province.value=='所在地区'){
						mui.toast('请正确选择所在地区！');
						return;
					}
					if(addres.value=='') {
						mui.toast('请正确填写收货地址！');
						return;
					}
					
					mui.ajax(urlConfig.submitAddress, {
						type: "POST", //设置ajax方法提交数据的形式
						dataType:'json',
						data: {
							token: token,
							id: "",
					        realname: isName.value,
					        mobile: isPhone.value,
					        province: province,
							city: city,
							area: area,
							address: addres.value
						},
						success: function(msg) {
							console.log("(新增地址)"+JSON.stringify(msg))
					        if(msg.error == 0){
					        	mui.toast('新建成功!');
					        	location.reload();
					        }else{
					        	mui.toast(msg.message)
					        }
						}
					})
								
				})
			})
						
			//修改地址
			mui('.mui-table-view-cell').on('tap', '.ext', function() {
				dzgl.innerHTML = '编辑地址';
				var itemID = this.getAttribute('id');
				token = localStorage.getItem("token");
				mui.ajax(urlConfig.getAddress, {
					
					type: "get", //设置ajax方法提交数据的形式
					dataType:'json',
					data: {
						token: token,
						id: itemID,
					},
					success: function(msg) {
						console.log("(修改地址)"+JSON.stringify(msg))
						var datas = msg.detail;
						isName.value = datas.realname;
						isPhone.value = datas.mobile;
						province = datas.province,
						city = datas.city,
						area = datas.area,
						addres.value = datas.address;
						s_province.value=datas.province+datas.city+datas.area;
						info_sub.innerHTML = '<button id="btndanger" type="button" class="mui-btn mui-btn-danger vvv mui-btn-block" style="height: 50px;line-height: 10px;">确认</button>\
						<button type="button" class="mui-btn mui-btn-block mui-action-back mui-btn-outlined" style="height: 50px;line-height: 10px">取消</button>';
						//级联
						mui('#info_sub').on('tap', '.vvv', function() {
							
							if(isName.value=='') {
								mui.toast('请正确填写收货人姓名！');
								return;
							}
							if(isPhone.value=='') {
								mui.toast('请正确填写手机号码！');
								return;
							}
							if(s_province.value=='所在地区'){
								mui.toast('请正确选择所在地区！');
								return;
							}
							if(addres.value=='') {
								mui.toast('请正确填写收货地址！');
								return;
							}
							this.innerHTML='正在处理...';
							mui.ajax(urlConfig.submitAddress, {
								type: "POST", //设置ajax方法提交数据的形式
								data: {
									token: token,
									id: itemID,
							        realname: isName.value,
							        mobile: isPhone.value,
							        province: province,
									city: city,
									area: area,
									address: addres.value
								},
								success: function(msg) {
							        mui.toast('修改成功！');
							        location.reload();
								}
							})
						})
					},
					error: function(xhr, type, errorThrown) {
						plus.nativeUI.toast("服务器连接失败！请检查网络...");
						//异常处理；
						console.log(type);
					}
				});
			});
					
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.toast("服务器连接失败！请检查网络...");
			//异常处理；1
			console.log(type);
		}
	})

	//删除地址
	mui('.mui-table-view-radio').on('tap', '.remove', function() {
		var id=this.getAttribute('value');
		token = localStorage.getItem("token");
		mui.ajax(urlConfig.deleteAddress, {
			type: "POST", //设置ajax方法提交数据的形式
			dataType:'json',
			data: {
				token: token,
				id: id
			},
			success: function(msg) {
				if(msg.error == 0) {
					mui.toast('删除成功!');
					location.reload();
				}else{
					mui.toast(msg.message);
				}
			}
		})
	})
	
	//设置默认地址
	mui('.mui-table-view-radio').on('tap', '.mui-media-body', function() {
		var id = this.getAttribute('name');
		token = localStorage.getItem("token");
		
		console.log(id+" "+token)
		
		mui.ajax(urlConfig.defaultAddress, {
			type: "POST", //设置ajax方法提交数据的形式
			dataType: "json",
			data: {
				token: token,
				id:id
			},
			success: function(msg) {
				if(msg.error == 0){
					mui.toast('设置默认地址成功');
					location.reload();
				}else{
					mui.toast(msg.message);
				}
			}
		})
	})
					
	var info = document.getElementById("info");
				
	//document.querySelector('.mui-table-view.mui-table-view-radio').addEventListener('selected', function(e) {
		//info.innerHTML = "当前选中的为：" + e.detail.el.innerText;
	//});
	var cityPicker3 = new mui.PopPicker({
		layer: 3
	});
	cityPicker3.setData(cityData3);
	var showCityPickerButton = document.getElementById('s_province');
	showCityPickerButton.addEventListener('tap', function(event) {
		cityPicker3.show(function(items) {
			showCityPickerButton.value = (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;
			province = items[0].text;
			city = items[1].text;
			area = items[2].text;
			
			console.log(province+city+area)
		});
	}, false);
}
// 验证手机号
function isPhoneNo(phone) {  
	var pattern = /^1[34578]\d{9}$/;  
	return pattern.test(phone);  
}
function clearNoNum(obj) {
	obj.value = obj.value.replace(/[^\d.]/g, ""); //清除“数字”和“.”以外的字符 
	obj.value = obj.value.replace(/^\./g, ""); //验证第一个字符是数字而不是.  1
	obj.value = obj.value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的  
	obj.value = obj.value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
	obj.value = obj.value.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3'); //只能输入两个小数  
}
//处理view的后退与webview后退
var oldBack = mui.back;
mui.back = function() {
	if(viewApi.canBack()) { //如果view可以后退，则执行view的后退
		location.reload();
	} else { //执行webview后退
		oldBack();
	}
};